#!/usr/bin/env bash
# Configure the IPMI subsystem

# Include basic defaults and debugging
{{ template "setup.tmpl" . }}

tool() {
    if [[ $ipmi_nodelay == "" ]] ; then
        sleep 5
    fi
    if ! [[  "$@" =~ password ]] ; then
        echo "ipmitool $@"
    else
        echo "ipmitool password setting command"
    fi >&2
    ipmitool "$@"
}

# Get the vendor functions
{{ template "ipmi-vendor.sh.tmpl" . }}

{{ if .ParamExists "ipmi/configure/certificate" }}
vendor_install_cert
{{ else }}
echo "ipmi/configure/certificate not defined - not installing certificate"
{{ end }}

exit 0
